<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Intermediate Script</title>
</head>

<body>
<%
Dim ObjectType

' Get URL parameters
ObjectType = Request("TYPE")
Dim JobDefinition

' get reference to the 24x7 COM object
Dim remote24x7 'Declare 24x7 Remote Control object variable
Dim RetCode
on error resume next

If Session("Initialized") = False Then
    ' Report error
    Response.Write "<h2>Error: 24x7 Remote Control interface is not initialized</h2>"
Else
	' obtain reference to 24x7 COM object
	Set remote24x7 = Session("remote24x7")
	' create requested object
	if ObjectType = "job" then ' create new job
		JobDefinition = Request.Form("JOB_DEFINITION")
		RetCode = Cint(remote24x7.CreateJob(JobDefinition))
		If RetCode > 0 Then RetCode = 1 ' succeeded
	ElseIf ObjectType = "folder" then ' create new folder
		' obtain parameters of new folder
		Dim FolderName, FolderDescription
		FolderName = Request.Form("FOLDER_NAME")
		FolderDescription = Request.Form("FOLDER_DESC")
		' create new folder
		RetCode = Cint(remote24x7.CreateFolder(FolderName, FolderDescription))
	ElseIf ObjectType = "template" then ' create new job from template
		' This is the most complicated case as we do not know in ASP design
		' time how many and what form fields we need to process.
		' Fortunately, the script fill_template.asp script stores all 
		' control information in 2 hidden fields: JOB_DEFINITION and MACRO_VAR_LIST
		
		' Now, we need to replace all macro-variables in the script
		' with the user's input.
		Dim MacroVarList, VarName, UserData
		Dim Pos
		
		MacroVarList = Request.Form("MACRO_VAR_LIST") ' list of variables
		JobDefinition = Request.Form("JOB_DEFINITION") ' job definition with macro variables
		
		' parse list of variables and substitute them in the job definition
		Do While MacroVarList <> ""
			Pos = InStr(1, MacroVarList, ",")
			If Pos <= 0 Then Exit Do
			VarName = Left(MacroVarList, Pos - 1)
			MacroVarList = Mid(MacroVarList, Pos + 1)
			
			' get user's input for that variable
			UserData = Request.Form(VarName)
			
			' replace all occurrences of found VarName with UserData
			Pos = InStr(1, JobDefinition, "%" & VarName & "%")
			Do While Pos > 0
				JobDefinition = Left(JobDefinition, Pos - 1) & UserData & Mid(JobDefinition, Pos + Len(VarName))
				Pos = InStr(Pos, JobDefinition, "%" & VarName & "%")
			Loop
		Loop
		
		' job definition is not complete.
		RetCode = Cint(remote24x7.CreateJob(JobDefinition))
		If RetCode > 0 Then RetCode = 1 ' succeeded
	Else
		RetCode = -1000
	End If	
	If RetCode <> 1 Then
		' error handling
		if RetCode = -1000 then
			Response.Write "<h2>Create Error: Invalid object type passed to procedure</h2>"
		Else
			Response.Write "<h2>Create Error: " & RetCode & " -- " & remote24x7.LastError & "</h2>"
		End If
    Else
		' ok, object is created, now send user back to the job list page
		Response.Redirect "job_list.asp"
    End If
End If
%>

</body>
</html>


