<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<%
Dim JobID, JobName, JobDisabled
Dim Command

' Get URL parameters
JobID = Request("JOB_ID")
Command = Request("COMMAND")

' get reference to the 24x7 COM object
Dim remote24x7 'Declare 24x7 Remote Control object variable
Dim RetCode
on error resume next

If Session("Initialized") = False Then
    ' Report error
    Response.Write "</head><h2>Error: 24x7 Remote Control interface is not initialized</h2>"
else
	' obtain reference to 24x7 COM object
	Set remote24x7 = Session("remote24x7")
	' get job name
	RetCode = Cint(remote24x7.GetJobProperty(JobID, "NAME"))
	If RetCode <> 1 Then
	    ' Report error
        Response.Write "</head><h2>GetJobProperty Error: " & RetCode & " -- " & remote24x7.LastError & "</h2>"
    Else
        JobName = remote24x7.ipStringBuffer
    End If
    
    ' get job enabled/disabled state
    RetCode = Cint(remote24x7.GetJobProperty(JobID, "DISABLED"))
	If RetCode <> 1 Then
	    ' Report error
        Response.Write "</head><h2>GetJobProperty Error: " & RetCode & " -- " & remote24x7.LastError & "</h2>"
    Else
        JobDisabled = remote24x7.ipStringBuffer
    End If
end if
%>

<title>Job Properties -- <%=Server.HTMLEncode(JobName)%></title>
</head>

<body aLink="red" background="images/background.gif" bgColor="#f0e68c" link="#008080" text="#000000" vLink="#800000">
	<table border="0" cellPadding="3" cellSpacing="3" width="100%">
	  <tr>
	    <td noWrap valign="top"><h2>Job Properties<br><%=JobID & " -- " & Server.HTMLEncode(JobName)%></h2></td>
	    <td align="right" valign="top">
			<a href="job_log.asp?JOB_ID=<%=JobID%>">View Job Log</a> | 
			<a href="run_job.asp?JOB_ID=<%=JobID%>">Run Job</a> | 
			<a href="modify_job.asp?JOB_ID=<%=JobID%>&amp;COMMAND=init">Modify Job</a><br>
			<a href="job.asp?JOB_ID=<%=JobID%>&amp;COMMAND=disable">Disable/Enable Job</a> |
			<a href="delete_job.asp?JOB_ID=<%=JobID%>">Delete Job</a><br><br>
			<a href="job_list.asp">Job List</a> |
			<a href="logout.asp">Logout</a>
	    </td>
	  </tr>
	</table>
<% 
	If Session("Initialized") = True Then
		RetCode = 1
		if Command = "disable" then
			' disable or enable job then display job properties
			if JobDisabled = "Y" then
				RetCode = Cint(remote24x7.EnableJob(JobID))
			else
				RetCode = Cint(remote24x7.DisableJob(JobID))
			end if
		end if
		
		if RetCode = 1 then
			' get job definition as preformated HTML table
			RetCode = Cint(remote24x7.GetJobDefinition(JobID, True))
			If RetCode = 1 Then
				' output HTML table
				Response.Write remote24x7.ipStringBuffer
			end if
		end if
		
		if RetCode <> 1	then    ' Report error
		    Response.Write "<h2>GetJobDefinition Error: " & RetCode & " -- " & remote24x7.LastError & "</h2>"
		end if
	End If
%>
</body>
</html>
