<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>24x7 Scheduler - Job List</title>
</head>

<body background="images/background.gif" bgcolor="#f0e68c" text="#000000" link="#008080" vlink="#800000" alink="#ff0000">

<table border="0" cellpadding="3" cellspacing="3" width="100%">
    <tr>
        <td valign="top">
			<h2><a name="top">24x7 Scheduler - Job List</a></h2>
        </td>
        <td align="right" valign="top" rowspan="2" nowrap>
			<a href="template.htm">Create job</a> |
			<a href="create_folder.htm">Create folder</a> | 
			<a href="delete_folder.asp">Delete folder</a><br><br>
			<a href="job_list.asp">Refresh job list</a> | 
			<a href="logout.asp">Logout</a> 
        </td>
    </tr>
    <tr>
        <td valign="top"><font size="2">Click on the job icon to see job properties or click on the job name to see job log</font> </td>
    </tr>
</table>
<div align="left">

<table border="1" cellspacing="10" width="100%" bgcolor="#ffffff" bordercolor="#daa520">
    <tr>
        <td bordercolor="#ffffff">
        <table border="0" cellpadding="0" cellspacing="0" width="250" bgcolor="#ffffff">
        <%
			Dim remote24x7 'Declare 24x7 Remote Control object variable
			Dim RetCode
			on error resume next

			If Session("Initialized") = False Then
			    ' Report error
			    Response.Write "<h2>Error: 24x7 Remote Control interface is not initialized</h2>"
			 else
				' obtain reference to 24x7 COM object
				Set remote24x7 = Session("remote24x7")
				'Get job list, in plain text format
				Dim Buffer 'As String
				' every returned line will contain job id, job name,
				' job state, and job folder name separated by tab characters
				' every line will be terminated by CR/LF pair of characters
				Buffer = ""
				RetCode = Cint(remote24x7.GetJobListEx(False, "DISABLED,FOLDER_NAME"))
				If RetCode <> 1 Then
				    Response.Write "<h2>GetJobList Error: " & RetCode & " -- " & remote24x7.LastError & "</h2>"
				else
					' for perfomance reasons copy returned data to a local variable 
					Buffer = remote24x7.ipStringBuffer
					' Parse list and populate job id, name, disabled state, and folder name
					Dim JobID 'As String
					Dim JobName 'As String
					Dim JobDisabled 'As String
					Dim JobFolder 'As String
					Dim StartPos, EndPos, BufferLength 'As Long
					Dim TempFolderName 'As String
					Dim JobImage 'As String
					Dim TreeImage 'As String
    
					StartPos = 1
					BufferLength = Len(Buffer)
					Do While StartPos < BufferLength
					    ' find first tab character separating job id and job name
					    EndPos = InStr(StartPos + 1, Buffer, vbTab)
					    If EndPos <= 0 Then Exit Do
					    JobID = Mid(Buffer, StartPos, EndPos - StartPos)
							    
					    ' find next tab character and extract job name
					    StartPos = EndPos + 1
					    EndPos = InStr(StartPos, Buffer, vbTab)
					    JobName = Mid(Buffer, StartPos, EndPos - StartPos)
							    
					    ' find next tab character and extract job state
					    StartPos = EndPos + 1
					    EndPos = InStr(StartPos, Buffer, vbTab)
					    JobDisabled = Mid(Buffer, StartPos, EndPos - StartPos)
							    
					    ' find end-of-line characters and extract job folder name
					    StartPos = EndPos + 1
					    EndPos = InStr(StartPos, Buffer, vbCrLf)
					    JobFolder = Mid(Buffer, StartPos, EndPos - StartPos)
							    
					    ' skip end-of-line CR/LF characters
					    StartPos = EndPos + 2
							    
					    If JobFolder <> "" Then
					        If "folder_" & JobFolder <> TempFolderName Then ' check for empty or
					                                                        ' the same folder name
					            ' add folder node
					            TempFolderName = "folder_" & JobFolder
					            Response.Write "<tr>" & vbCrLf
					            Response.Write "<td nowrap width=""20"" height=""16""><img src=""images/treeminus.gif"" width=""18"" height=""16""></td>" & vbCrLf
								Response.Write "<td nowrap width=""22"" height=""16""><img src=""images/folder.gif"" width=""16"" height=""16""></td>" & vbCrLf
								Response.Write "<td nowrap colspan=""2"" width=""500"" height=""16""><font color=""#000000"" size=""2"">" & _
									"<b>" & Server.HTMLEncode(JobFolder) & "</b></font></td>" & vbCrLf
								Response.Write "</tr>" & vbCrLf
					        End If
							        
					        ' add job node
					        If JobDisabled = "Y" Then
					            JobImage = "images/job_disabled.gif"
					        Else
					            JobImage = "images/job.gif"
					        End If
						        
					        ' add job node
					        if StartPos >= BufferLength - 2 then ' last job
								NodeImage = "images/treeend.gif"
							else
								NodeImage = "images/treemiddle.gif"
							end if
							Response.Write "<tr>" & vbCrLf
					        Response.Write "<td nowrap width=""20"" height=""16""></td>" + vbCrLf
					        Response.Write "<td nowrap width=""20"" height=""16""><small><img src=""" & NodeImage & """ width=""18"" height=""16""></small></td>" & vbCrLf
							Response.Write "<td nowrap width=""22"" height=""16""><small><img src=""" & JobImage & """ width=""16"" height=""16""></small></td>" & vbCrLf
							Response.Write "<td nowrap width=""500"" height=""16"">" & _
								"<a href=""job.asp?JOB_ID=" & JobID & "&COMMAND=properties""><small>" & _
								Server.HTMLEncode(JobName) & "</small></a></td>" & vbCrLf
							Response.Write "</tr>" & vbCrLf
					    End If
					Loop
				End If
			end if
			%>
        </table>
        </td>
    </tr>
</table>
</div>
</body>
</html>
