<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Modify Job</title>
</head>

<%
'''''''''''''''''''''''''''''''''''''''''''''
' This ASP page is self updatable.
' It may call itself recursivelly
' with different parameters in page URL
'''''''''''''''''''''''''''''''''''''''''''''
Dim JobID, JobName, PropertyName, NewValue
Dim Command

' Get URL parameters
JobID = Request("JOB_ID")
Command = Request("COMMAND")
PropertyName = Request.Form("PROPERTY_NAME")
NewValue = Request.Form("NEW_VALUE")

' ItemName array holds names of user controlled updatable job properties
Dim ItemName(), ItemCount
ItemCount = 70
ReDim ItemName(ItemCount)
ItemName(1) = "ACCOUNT"
ItemName(2) = "AGENT"
ItemName(3) = "ASYNC"
ItemName(4) = "BACKUP_AGENT"
ItemName(5) = "BACKUP_HOST"
ItemName(6) = "COMMAND"
ItemName(7) = "DAY_NAME"
ItemName(8) = "DAY_NUMBER"
ItemName(9) = "DELAY"
ItemName(10) = "DELETE_RULE"
ItemName(11) = "DESCRIPTION"
ItemName(12) = "DETACHED"
ItemName(13) = "DISABLE_ON_ERROR"
ItemName(14) = "DISABLED"
ItemName(15) = "END_DATE"
ItemName(16) = "END_TIME"
ItemName(17) = "FILE"
ItemName(18) = "FRIDAY"
ItemName(19) = "HOST"
ItemName(20) = "IGNORE_ERRORS"
ItemName(21) = "INIT_TIMEOUT"
ItemName(22) = "INTERVAL"
ItemName(23) = "JOB_PASSWORD"
ItemName(24) = "JOB_TYPE"
ItemName(25) = "KEYSTROKE"
ItemName(26) = "LOG"
ItemName(27) = "MESSAGE"
ItemName(28) = "MONDAY"
ItemName(29) = "MONTHLY_TYPE"
ItemName(30) = "MSG_ACCOUNT"
ItemName(31) = "MSG_DATABASE"
ItemName(32) = "MSG_EMAIL"
ItemName(33) = "MSG_ERROR"
ItemName(34) = "MSG_FILE"
ItemName(35) = "MSG_FILE_NAME"
ItemName(36) = "MSG_FINISH"
ItemName(37) = "MSG_NOTFOUND"
ItemName(38) = "MSG_PASSWORD"
ItemName(39) = "MSG_PROFILE"
ItemName(40) = "MSG_RECIPIENT"
ItemName(41) = "MSG_SQL"
ItemName(42) = "MSG_START"
ItemName(43) = "NAME"
ItemName(44) = "NUMBER_OF_RETRIES"
ItemName(45) = "PASSWORD"
ItemName(46) = "POLLING_INTERVAL"
ItemName(47) = "PRIORITY"
ItemName(48) = "PROFILE"
ItemName(49) = "REBOOT"
ItemName(50) = "RETRY_INTERVAL"
ItemName(51) = "RETRY_ON_ERROR"
ItemName(52) = "SATURDAY"
ItemName(53) = "SAVE_ATTACHMENT"
ItemName(54) = "SCHEDULE_TYPE"
ItemName(55) = "SCRIPT"
ItemName(56) = "SEND_KEYSTROKE"
ItemName(57) = "SKIP"
ItemName(58) = "SKIP_HOLIDAY"
ItemName(59) = "SLIDE_HOLIDAY"
ItemName(60) = "SQL"
ItemName(61) = "START_DATE"
ItemName(62) = "START_IN"
ItemName(63) = "START_TIME"
ItemName(64) = "SUBJECT"
ItemName(65) = "SUNDAY"
ItemName(66) = "THURSDAY"
ItemName(67) = "TIMEOUT"
ItemName(68) = "TUESDAY"
ItemName(69) = "WEDNESDAY"
ItemName(70) = "WINDOW"
%>


<body background="images/background.gif" bgcolor="#f0e68c" text="#000000" link="#008080" vlink="#800000" alink="#ff0000">

<%
' get reference to the 24x7 COM object
Dim remote24x7 'Declare 24x7 Remote Control object variable
Dim RetCode
	
on error resume next

If Session("Initialized") = False Then
    ' Report error
    Response.Write "<h2>Error: 24x7 Remote Control interface is not initialized</h2>"
Else	
	' obtain reference to 24x7 COM object
	Set remote24x7 = Session("remote24x7")
	' get job name
	RetCode = Cint(remote24x7.GetJobProperty(JobID, "NAME"))
	If RetCode <> 1 Then
	    ' Report error
        Response.Write "<h2>GetJobProperty Error: " & RetCode & " -- " & remote24x7.LastError & "</h2>"
    Else
        JobName = remote24x7.ipStringBuffer
    End If

	If PropertyName <> "" Then
		' Perform requested processing if any valid command is passed as URL parameter
		If Command = "modify" Then			' modify the specified job property
			RetCode = Cint(remote24x7.SetJobProperty(JobID, PropertyName, NewValue))
			If RetCode <> 1 Then
			    ' Report error
			    Response.Write "<h2>SetJobProperty Error: " & RetCode & " -- " & remote24x7.LastError & "</h2>"
			End If
		ElseIf Command = "describe" Then	' describe the specified job property
			RetCode = Cint(remote24x7.GetJobProperty(JobID, PropertyName))
			If RetCode <> 1 Then
			    ' Report error
			    Response.Write "<h2>GetJobProperty Error: " & RetCode & " -- " & remote24x7.LastError & "</h2>"
			Else
			    NewValue = remote24x7.ipStringBuffer
			End If
		End If
	End If
End If
%>

<table border="0" cellpadding="3" cellspacing="3" width="100%">
    <tr>
        <td valign="top" nowrap><h2>Modify Job<br><%=JobID & " -- " & Server.HTMLEncode(JobName)%></h2></td>
        <td align="right" valign="top"><a href="job.asp?JOB_ID=<%=JobID%>&amp;COMMAND=properties">Back to job properties view</a><br><br>
        <a href="job_list.asp">Job List</a> | 
        <a href="logout.asp">Logout</a> </td>
    </tr>
</table>

<hr>


<form name="form1" action="modify_job.asp?JOB_ID=<%=JobID%>&amp;COMMAND=init" method="post">
    <table border="0" cellspacing="5" width="220">
        <tr>
            <td valign="top" width="100" nowrap>Job Property:</td>
            <td><select name="PROPERTY_NAME" size="1" id="PROPERTY_NAME" style="HEIGHT: 22px; WIDTH: 197px">
<% 
			' populate drop-down list with job property names
			Dim Index
			For Index = 1 to ItemCount
				Response.Write vbTab & vbTab 
				If ItemName(Index) = PropertyName Then ' same property that passed as a parameter to this ASP page
					' add selected property
					Response.Write "<option SELECTED value=""" & ItemName(Index) & """>" & ItemName(Index) & "</option>" & vbCrLf
				Else
					' add not selected property
					Response.Write "<option value=""" & ItemName(Index) & """>" & ItemName(Index) & "</option>" & vbCrLf
				End If
			Next
%>
            </select></td>
        </tr>
        <tr>
            <td valign="top" width="100" nowrap>New Value:</td>
            <td><textarea cols="60" id="NEW_VALUE" name="NEW_VALUE" rows="4" style="HEIGHT: 117px; WIDTH: 333px"><%=Server.HTMLEncode(NewValue)%></textarea></td>
        </tr>
        <tr>
            <td colspan="2">
				<p align="right">
				<input type="button" value="Modify Property" onClick="javascript:document.form1.action='modify_job.asp?JOB_ID=<%=JobID%>&amp;COMMAND=modify'; document.form1.submit();"> 
				<input type="button" value="Get Current Value" onClick="javascript:document.form1.action='modify_job.asp?JOB_ID=<%=JobID%>&amp;COMMAND=describe'; document.form1.submit();"> 
				<input type="reset" value="Reset Form"> 
				</p>
            </td>
        </tr>
    </table>
</form>

</body>
</html>
